Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class TitlebarPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.window.TitlebarPresentationContext

All Implemented Interfaces
  Serializable

    public class TitlebarPresentationContext

extends PresentationContext

Used to provide access to presentation-related attributes specific to the `Titlebar` in use. Typically used during portal rendering via look and feel skeleton files (e.g. titlebar.jsp).

See Also
  `getTitlebarPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`static String` | `CLASS_NAME`

Method Summary
`List<AbstractButtonPresentationContext>` | `getButtons()` This method returns the child buttons of the `Titlebar`, sorted in the order specified in the `` child of .
`String` | `getIconUrl()` The iconUrl attribute represents the content URI to the icon image for this particular `Titlebar` portal component.
`WindowPresentationContext` | `getParentWindowPresentationContext()` Get the presentation context for the parent window.
`static TitlebarPresentationContext` | `getTitlebarPresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the one and only `TitlebarPresentationContext` for a given `Titlebar`.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    public static final String CLASS_NAME

Method Detail

### getIconUrl

    public String getIconUrl()

  The iconUrl attribute represents the content URI to the icon image for this particular `Titlebar` portal component.

  Returns
    the value of the iconUrl attribute for this `Titlebar` portal component, if any

### getButtons

    public List<AbstractButtonPresentationContext> getButtons()

  This method returns the child buttons of the `Titlebar`, sorted in the order specified in the `` child of . If no `` child is specified, the buttons will be returned in the order that they exist in the .portlet file.

  Returns
    An ordered list of the child buttons of this `Titlebar`, or an empty list if this `Titlebar` has no buttons.

### getParentWindowPresentationContext

    public WindowPresentationContext getParentWindowPresentationContext()

  Get the presentation context for the parent window.

  Will return null if the titlebar is not nested within a `Window` or subclass thereof.

### getTitlebarPresentationContext

    public static TitlebarPresentationContext getTitlebarPresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only `TitlebarPresentationContext` for a given `Titlebar`. Note this method will only work if called from within a portal (e.g. titlebar.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current TitlebarPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.